/*● Consultar todas las películas(film).
● Consultar todas las filas de film_actor donde actor_id es de Johnny(join)
● Consultar todas las filas de film_actor donde actor_id es de Johnny or Penelope(join)
● Consultar todas las filas de film_actor donde actor_id es de Johnny and Penelope(join)
● Consultar todas las filas de film_category donde category_id es en (Action, Comedy)
● Consultar todas las filas de film donde titlle se empieza con A
● Consultar todas las filas de film donde titlle se termina con B
● Consultar todas las filas de payment donde amount es entre 0 y 5.
● Consultar todas las filas de film donde title no es "Analyze Hoosiers"
*/


/*muestra las columnas de title y description 
ordenando de forma alfabetica con las columna title */
SELECT title,description FROM film 
ORDER BY title; 

SELECT first_name from film_actor
JOIN film ON film.film_id=film_actor.film_id 
JOIN actor ON  film_actor.actor_id= actor.actor_id 
where first_name='Johnny';

SELECT first_name from film_actor 
JOIN film ON film.film_id=film_actor.film_id 
JOIN actor ON  film_actor.actor_id= actor.actor_id 
where first_name='Johnny' OR first_name='Penelope';

SELECT first_name from film_actor 
JOIN film ON film.film_id=film_actor.film_id 
JOIN actor ON  film_actor.actor_id= actor.actor_id 
where first_name='Johnny' AND first_name='Penelope';

SELECT last_update from film_category  
JOIN category ON film_category.category_id=film_category.category_id 
WHERE category.name='Action' OR category.name='Comedy';

SELECT title FROM film WHERE title LIKE 'A%';
SELECT title FROM film WHERE title LIKE '%b';

SELECT  DISTINCT staff_id,amount FROM payment   WHERE amount>=0 AND amount<=5 ;

SELECT DISTINCT title FROM film WHERE NOT title='Analyze Hoosiers';


